package ru.dbotthepony.mc.otm.registry.data

import net.minecraft.core.registries.BuiltInRegistries
import net.minecraft.world.level.levelgen.heightproviders.HeightProviderType
import net.neoforged.bus.api.IEventBus
import ru.dbotthepony.mc.otm.data.world.StandardDeviationHeightProvider
import ru.dbotthepony.mc.otm.registry.MDeferredRegister

object MHeightProviders {
	private val registry = MDeferredRegister(BuiltInRegistries.HEIGHT_PROVIDER_TYPE)

	fun register(bus: IEventBus) {
		registry.register(bus)
	}

	val STANDARD_DEVIATION by registry.register("standard_deviation") { HeightProviderType { StandardDeviationHeightProvider.CODEC } }
}
